Bug 39687 - rhn_register fails when with SSL_connect error
rhn_register fails when with SSL_connect error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rhn_register (Show other bugs)
6.2
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-08 12:12 EDT by Ryan Jonasson
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 17:36:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Jonasson 2001-05-08 12:12:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
I have an out-of-box RH 6.2 sparc set up with rhn_register, up2date, and 
all necessary python add-ons to get up2date to work.  I had to recompile 
my own openssl library to get this far, but I did so from a stock src rpm 
with rpm --rebuild openssl*.src.rpm.  Now, when I execute rhn_register, it 
fails with a SSL connect error:

Traceback (innermost last):
  File "/usr/sbin/rhn_register", line 119, in ?
    main()
  File "/usr/sbin/rhn_register", line 100, in main
    tui.main()
  File "/usr/share/rhn/register/tui.py", line 1033, in main
    tui.run()
  File "/usr/share/rhn/register/tui.py", line 982, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/register/tui.py", line 40, in __init__
    tb = snack.Textbox(size[0]-10, size[1]-14, rhnreg.welcomeText(), 1)
  File "/usr/share/rhn/register/rhnreg.py", line 243, in welcomeText
    return s.registration.welcome_message()
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 608, in 
__call__
    return self.__send(self.__name, args)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 658, in 
__request
    self.__password
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 567, in 
request
    headers, fd = req.send_http(host, proxy, handler, self.__type)
  File "/usr/lib/python1.5/site-packages/cgiwrap.py", line 461, in 
send_http
    h = myHTTPS(host, port, self.__ca_chain)
  File "/usr/lib/python1.5/site-packages/cgiwrap.py", line 130, in __init__
    httplib.HTTPS.__init__(self, host, port, cachain)
  File "/usr/lib/python1.5/httplib.py", line 214, in __init__
    HTTP.__init__(self, host, port)
  File "/usr/lib/python1.5/httplib.py", line 53, in __init__
    if host: self.connect(host, port)
  File "/usr/lib/python1.5/site-packages/cgiwrap.py", line 169, in connect
    ssl = socket.ssl(sock, self.ca_chain)
socket.sslerror: SSL_connect error


How reproducible:
Always

Steps to Reproduce:
1. rhn_register
2. sit back and watch
3.
	

Actual Results:  Traceback (innermost last):
  File "/usr/sbin/rhn_register", line 119, in ?
    main()
  File "/usr/sbin/rhn_register", line 100, in main
    tui.main()
  File "/usr/share/rhn/register/tui.py", line 1033, in main
    tui.run()
  File "/usr/share/rhn/register/tui.py", line 982, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/register/tui.py", line 40, in __init__
    tb = snack.Textbox(size[0]-10, size[1]-14, rhnreg.welcomeText(), 1)
  File "/usr/share/rhn/register/rhnreg.py", line 243, in welcomeText
    return s.registration.welcome_message()
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 608, in 
__call__
    return self.__send(self.__name, args)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 658, in 
__request
    self.__password
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 567, in 
request
    headers, fd = req.send_http(host, proxy, handler, self.__type)
  File "/usr/lib/python1.5/site-packages/cgiwrap.py", line 461, in 
send_http
    h = myHTTPS(host, port, self.__ca_chain)
  File "/usr/lib/python1.5/site-packages/cgiwrap.py", line 130, in __init__
    httplib.HTTPS.__init__(self, host, port, cachain)
  File "/usr/lib/python1.5/httplib.py", line 214, in __init__
    HTTP.__init__(self, host, port)
  File "/usr/lib/python1.5/httplib.py", line 53, in __init__
    if host: self.connect(host, port)
  File "/usr/lib/python1.5/site-packages/cgiwrap.py", line 169, in connect
    ssl = socket.ssl(sock, self.ca_chain)
socket.sslerror: SSL_connect error


Additional info:
Comment 1 Adrian Likins 2001-07-05 22:14:22 EDT
which version of the openssl packages are installed?

during the qa process I've seen some versions of the openssl
libraries cause similar errors.
Comment 2 Ryan Jonasson 2001-07-12 09:09:23 EDT
openssl-0.9.5a-2.6.x
openssl-devel-0.9.5a-2.6.x
openssl-perl-0.9.5a-2.6.x
openssl-python-0.9.5a-2.6.x

These were all built on my native sparc machine using the openssl-0.95a SRPM.

Note You need to log in before you can comment on or make changes to this bug.